### Method

# GIRepository ArgInfo is_optional

since: 2.80

#### Declaration [src]

    gboolean
    gi_arg_info_is_optional (
      GIArgInfo* info
    )

#### Description [src]

Obtain if the argument is optional.

For ‘out’ arguments this means that you can pass `NULL` in order to ignore the result.

Available since: 2.80

#### Return value

Type: `gboolean`

`TRUE` if it is an optional argument.